# Interface LayoutConfig

interface LayoutConfig {
bindingSettings : String[];
inputsIcons : InputsIcons ;
keys : string[];
optionCursors : number[];
optionValueLabels : Text[][];
optionsContainer : Container;
settingLabels : Text[];
}

- Defined in src/ui/settings/abstract-control-settings-ui-handler.ts:16

#####
Index

### Properties

bindingSettings
inputsIcons
keys
optionCursors
optionValueLabels
optionsContainer
settingLabels

## Properties

### bindingSettings

bindingSettings: String[]

- Defined in src/ui/settings/abstract-control-settings-ui-handler.ts:23

### inputsIcons

inputsIcons: InputsIcons

- Defined in src/ui/settings/abstract-control-settings-ui-handler.ts:18

### keys

keys: string[]

- Defined in src/ui/settings/abstract-control-settings-ui-handler.ts:22

### optionCursors

optionCursors: number[]

- Defined in src/ui/settings/abstract-control-settings-ui-handler.ts:21

### optionValueLabels

optionValueLabels: Text[][]

- Defined in src/ui/settings/abstract-control-settings-ui-handler.ts:20

### optionsContainer

optionsContainer: Container

- Defined in src/ui/settings/abstract-control-settings-ui-handler.ts:17

### settingLabels

settingLabels: Text[]

- Defined in src/ui/settings/abstract-control-settings-ui-handler.ts:19